import request from '@/utils/request'

// 查询最新隐患列表
export function listZxyh(query) {
  return request({
    url: '/tcZz/networkSecurity/zxyh/list',
    method: 'get',
    params: query
  })
}

// 查询最新隐患详细
export function getZxyh(id) {
  return request({
    url: '/tcZz/networkSecurity/zxyh/' + id,
    method: 'get'
  })
}

// 新增最新隐患
export function addZxyh(data) {
  return request({
    url: '/tcZz/networkSecurity/zxyh',
    method: 'post',
    data: data
  })
}

// 修改最新隐患
export function updateZxyh(data) {
  return request({
    url: '/tcZz/networkSecurity/zxyh',
    method: 'put',
    data: data
  })
}

// 删除最新隐患
export function delZxyh(id) {
  return request({
    url: '/tcZz/networkSecurity/zxyh/' + id,
    method: 'delete'
  })
}
